#!/usr/bin/env python

# This application is released under the GNU General Public License 
# v3 (or, at your option, any later version). You can find the full 
# text of the license under http://www.gnu.org/licenses/gpl.txt. 
# By using, editing and/or distributing this software you agree to 
# the terms and conditions of this license. 
# Thank you for using free software!

# (c) 2008 Natan Yellin (Aantn) <aantny@gmail.com>

# This is an example of how to use the screenlets.menu module.
# This example creates a menu based on an xml file.

import gtk
import screenlets.menu

def menu_cb (item, id):
	"""Menu callback"""
	print "%s was pressed" % id
	
def button_press (widget, event, menu):
	menu.popup(None, None, None, event.button, event.time)
	return True

if __name__ == "__main__":
	# create the menu
	menu = screenlets.menu.create_menu_from_file("menu.xml", menu_cb)
	if menu:
		window = gtk.Window()
		window.resize(200, 200)
		window.connect("delete_event", lambda w,e: gtk.main_quit())
		button = gtk.Button("Press me")
		button.connect("button_press_event", button_press, menu)
		window.add(button)
		window.show_all()
		gtk.main()
	else:
		print "Error while creating menu.\n" \
			"Please make sure that menu.xml is in the current directory."
