#!/usr/bin/env python

# This application is released under the GNU General Public License 
# v3 (or, at your option, any later version). You can find the full 
# text of the license under http://www.gnu.org/licenses/gpl.txt. 
# By using, editing and/or distributing this software you agree to 
# the terms and conditions of this license. 
# Thank you for using free software!

# (c) 2008 Screenlets Project

# This is an example of how to use the screenlets.sensors module.
# This example creates a menu based on an xml file.

import gtk
import screenlets.sensors

# callbacks which get notified about updates of sensor's values
def handle_cpusensor_updated (cs):
	print 'CPU0: %i%%' % cs.get_load()

def handle_ramsensor_updated (rs):
	print 'USED RAM: %i MB' % rs.get_usedmem()
	print 'FREE RAM: %i MB' % rs.get_freemem()

def handle_netsensor_updated (ns):
	#print (ns.get_upload_speed(), ns.get_download_speed())
	print 'UP/DOWN: %i/%i bytes/s' % (ns.get_upload_speed(), 
		ns.get_download_speed())

if __name__ == '__main__':
	
	# some tests
	print screenlets.sensors.sys_get_hostname()
	print screenlets.sensors.net_get_activity('eth0')
	print screenlets.sensors.sys_get_linux_version()
	print screenlets.sensors.sys_get_kernel_version()
	print screenlets.sensors.cpu_get_cpu_name()
	
	# create sensors and connect callbacks to them
	cpu = screenlets.sensors.CPUSensor()
	cpu.connect('sensor_updated', handle_cpusensor_updated)
	
	ram = screenlets.sensors.MemorySensor(5000)
	ram.connect('sensor_updated', handle_ramsensor_updated)
	
	net = screenlets.sensors.NetSensor(1500, 'eth0')
	net.connect('sensor_updated', handle_netsensor_updated)
	
	# start mainloop
	gtk.main()

